package guiAgent;

public interface GUIPlayer {

	/**
	 * Function that the gui is expected to call once it's made a move (i.e. the user clicked), or the knowledge agent once it's decided what move to make
	 */
	void setMove(int move);
	/**
	 * Returns a boolean value indicating if it's the agent's turn to move
	 */
	boolean isMyTurn();
	/**
	 * Returns a boolean value indicating if the agent is in the middle of the game
	 */
	boolean isInGame();
	int getNRows();
	int getNCols();
}
